PETSc version 3.15.5
Fix/Edit manual page

# VecNormEnd

Ends a split phase norm computation.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecNormEnd(Vec x,NormType ntype,PetscReal *result)

### Input Parameters

| x | - the first vector
| ntype | - norm type, one of NORM_1, NORM_2, NORM_MAX, NORM_1_AND_2
| result | - where the result will go

### Notes

Each call to VecNormBegin() should be paired with a call to VecNormEnd().

The x vector is not allowed to be NULL, otherwise the vector would not have its correctly cached norm value

### See Also

VecNormBegin(), VecNorm(), VecDot(), VecMDot(), VecDotBegin(), VecDotEnd(), PetscCommSplitReductionBegin()

### Level

advanced

### Location

src/vec/vec/utils/comb.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages